#!/bin/bash

# ********************************************************************************
# This script checks for and reports missing files and directories that are required
# for the tranSMART install and data loading
# ********************************************************************************

echo "-------------------------------------------------------------"
echo "|  Checking for required transmart/grails configuration files"
echo "-------------------------------------------------------------"

# User home directory has config files
# generated by InstallConfig - to be copied to tomcat user directory
baseConfig="$HOME/.grails/transmartConfig"

returnValue=0
 
filepath="$baseConfig/Config.groovy"
if [ ! -e "$filepath" ]; then
	echo "The file at $filepath"
	echo "  is required and does not exist; this should have been created"
	echo "  in the 'buildConfig' step of the install; repeat that step"
	returnValue=1
fi

filepath="$baseConfig/DataSource.groovy"
if [ ! -e "$filepath" ]; then
	echo "The file at $filepath"
	echo "  is required and does not exist; this should have been created"
	echo "  in the 'buildConfig' step of the install; repeat that step"
	returnValue=1
fi

if [ 0 = $returnValue ] ; then
	echo "All required required transmart/grails configuration files are present"
fi

exit $returnValue
